Subject: Re: [bitcoin-dev] A BIP proposal for segwit addresses

From: "Russell O'Connor" <[email-masked]>
Date: Thu, 26 Jul 2018 09:43:19 -0400

Hi Pieter,

> The *human-readable part*, which is intended to convey the type of data,
or anything else that is relevant to the reader. This part MUST contain 1
to 83 US-ASCII characters, with each character having a value in the range
[33-126]. HRP validity may be further restricted by specific applications.

You should also add to this section that the HRP should be lowercase.

Since Bech32 forbids mixed-case and otherwise converts everything to
lowercase, it is good to warn upfront against using uppercase in the HRP.

I know the BIP is marked as final, but this wouldn't be a normative change.